Page MenuHomePhabricator

[EPIC] Clean up project portals
Closed, ResolvedPublic

Description

Following the merge and deployment of https://gerrit.wikimedia.org/r/252366, there's some cleanup work to be done.

The Meta-Wiki wiki portal pages are still being manually updated (example: https://meta.wikimedia.org/w/index.php?title=Www.wikinews.org_template&diff=15638972&oldid=15636429), but these wiki pages are now just decoys. We should probably unprotect the Meta-Wiki pages and mark them as deprecated/historical. This may require some other work to automate the updates without using Scribunto/Lua. We should also update https://meta.wikimedia.org/wiki/Project_portals to reflect reality.

Looking at the wikimedia/portals Git repository as it is today, it looks like only www.wikipedia.org is using Handlebars templates? That should be addressed.

Finally, some of the footer text needs improvement.

It may make sense to create separate tasks for these action items.

See also

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 22 2016, 4:43 AM

Some notes from wikitech-l regarding the footer of www.wikipedia.org:

  • "Free Dictionary" instead of "Free dictionary" for Wiktionary.
  • Starting with "Free" for eight of the projects, but then using a different pattern for the others (e.g., "The free library").
  • Meta-Wiki is "Our community site"? Huh? What does that suggest about the other projects? Are they not community sites?
  • The descriptive texts are only available in English.
  • The Wikimedia (Foundation) logo is bizarrely in black and white. Why?

These issues should also be addressed at some point.

Restricted Application added a project: Discovery. · View Herald TranscriptMay 22 2016, 4:49 AM
jayvdb added a subscriber: jayvdb.May 22 2016, 4:56 AM
Nemo_bis removed a subscriber: Nemo_bis.May 22 2016, 5:47 AM

I'm not interested in contributing to the off-wiki fiefdoms.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptMay 22 2016, 6:19 PM
Joe added a comment.May 23 2016, 7:15 AM

@MZMcBride I don't like the tone of "@Joe decided to merge...".

Your phrasing seems to suggest I had gone rogue and decided to do something on my own, somewhat deceivingly of transparency and consensus.

I would suggest that if you really think that, express that explicitly and not "between the lines" next time; I will be happy to show you that you are wrong, and to tell you that you're stepping out of line.

For the record, if I remember correctly - a lot of months has passed since - I agreed to help the Discovery team with merging the change, which I assumed was a continuation of the work on portals. Wasn't that the case? If so, you might want to talk with them instead of me.

I am, personally, completely uninvested in the matter at hand (who edits/owns the portals) and I was not involved in that discussion; I was just helping and trying to avoid a bad / not well propagated technical change would create problems to the sites.

Joe added a subscriber: MaxSem.May 23 2016, 7:55 AM

To give some context on when/what happened: this change was merged on a scheduled deployment

https://wikitech.wikimedia.org/wiki/Deployments/Archive/2015/11#Thursday.2C.C2.A0November.C2.A012

of a series of patches by @MaxSem, two of them actually, that you can find here

https://gerrit.wikimedia.org/r/#/q/project:operations/puppet+branch:production+topic:portalz,n,z

So the switch was performed at the same time for www.wikipedia.org and the other portals.

@MZMcBride I don't like the tone of "@Joe decided to merge...".
Your phrasing seems to suggest I had gone rogue and decided to do something on my own, somewhat deceivingly of transparency and consensus.

I mentioned you because you were clearly involved. When I look at https://gerrit.wikimedia.org/r/252366, it's not cross-referenced with any Phabricator Maniphest task. And there is only one human reviewer listed (in addition to the bot and the changeset author), which seems a bit odd.

If you look at T110070#1651723 from September 2015:

Well, actually, I don't even want to handle the other portals at all right now. That's a big complication that I don't want to get in to at all because Discovery is not even planning on changing the other ones right now. I'm repurposing this task accordingly.

And from the same day, T110070#1651945:

As was previously stated, the Discovery Department has no plans to make any changes to the other portals, so it's best to leave them how they are for now.

Regarding your comment:

I am, personally, completely uninvested in the matter at hand (who edits/owns the portals) and I was not involved in that discussion; I was just helping and trying to avoid a bad / not well propagated technical change would create problems to the sites.

You signed off on this change to how the portals are implemented. You can't be both involved and uninvolved.

Regarding transparency and consensus, it's quite possible I missed the discussions about changing how these portals are implemented. I pointed to T110070, where I had last heard that only www.wikipedia.org would be moved. I tried to do additional research, by locating https://gerrit.wikimedia.org/r/252366 from the operations/puppet.git repository. (Fun fact: modules/mediawiki/files/apache/sites/wwwportals.conf no longer exists in the production branch.) After I located the change, I see a one-sentence commit message, that doesn't reference any Phabricator Maniphest task, and that had seemingly almost no review on Gerrit. Weird.

Joe added a comment.May 23 2016, 3:25 PM

Ok, I will stop hijacking this ticket right now, let me just state that within the boundaries of ops/puppet it's not unusual at all to +2 a simple two line change if it's technically correct, in particular if it's part of a larger change (you should find a merge of portals within mediawiki-config) of which it's just the "go live" stage. You can't really treat an infrastructure deploy like any other code change.

I agree it's unfortunate the bug number is not present in the changes, if added it would have probably prevented any misconceptions.

And finally, for the second time in this ticket you define my behaviour "weird", "unusual" etc. This is pretty unfair, and I think that is out of the bounds of an healthy discussion.

But I guess you didn't want to speak with me in the first place, but with people in the discovery department who carried out the whole migration.

Joe removed a subscriber: Joe.May 23 2016, 3:26 PM
MZMcBride updated the task description. (Show Details)
debt added a subscriber: debt.May 24 2016, 5:21 PM

Let's use this as an epic to track the issues raised by @MZMcBride.

Deskana renamed this task from Clean up project portals to [EPIC] Clean up project portals.May 26 2016, 5:21 PM
Deskana added a project: Epic.

I filed a few subtasks here. I'll leave the Handlebars templates one to @Jdrewniak, as I know next to nothing about that.

debt triaged this task as Normal priority.May 26 2016, 8:54 PM
Danny_B added a subscriber: Danny_B.Jun 1 2016, 3:24 AM
Danny_B moved this task from Unsorted to Cleanup on the Technical-Debt board.Jun 3 2016, 1:52 AM
Danny_B renamed this task from [EPIC] Clean up project portals to Clean up project portals.Jun 10 2016, 12:11 AM
debt renamed this task from Clean up project portals to [EPIC] Clean up project portals.Jun 14 2016, 7:28 PM
debt assigned this task to CKoerner_WMF.Jun 30 2016, 3:28 PM
debt edited projects, added Discovery-Portal-Sprint; removed Discovery-Portal-Backlog.

moving this into the sprint, since work is actually being done on it.

debt added a comment.Aug 9 2016, 11:22 PM

As an additional (somewhat related) ticket, I've added T142540 to investigate using the same (or similar) footer in the WMF template that the wikipedia.org portal page uses.

@MZMcBride As the author of this task do you feel that sufficient subtasks were created and addressed to resolve this task?

debt moved this task from To Discuss to Done on the Discovery-Portal-Sprint board.Aug 19 2016, 4:00 PM

Moving to done - please let us know if there is anything to do, otherwise I'll close this next week.

debt closed this task as Resolved.Aug 26 2016, 4:58 PM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Sep 19 2016, 10:57 PM